const assert = require('assert')
const fs = require('fs')
const path = require('path')

const parseFlat = require('../dist/stage-parser').parseFlat

it('should parse additional meta correctly', () => {
	const entryPath = path.resolve(__dirname, './data/meta/meta-tags.stage')
	const expectedPath = path.resolve(__dirname, './expected/meta/meta-tags-flats.json')
	const str = fs.readFileSync(entryPath, 'utf-8')
	const json = JSON.parse(fs.readFileSync(expectedPath, 'utf-8'))

	const flats = parseFlat(str)

	assert.deepStrictEqual(flats, json)
})
